Subject: bug#13241: 24.2; sh-mode, bash, font-lock; highlight variables in expressions: (( var ))

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 10 May 2022 14:28:29 +0200

[email-masked] writes:

> Feature request: make the sh-mode font-lock mode propertly highlight 
> variables used in expression, such as:  (( var > 42 ))  $(( var++ ))

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I don't quite understand the request -- sh-mode doesn't font-lock
variables in other cases, so I don't quite see why it should font-lock
variables inside (( )) constructs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no